### 2.4 `carg`, `cargf`—argument (phase angle)

Synopsis

         #include <complex.h>
         double carg(double complex z);
         float cargf(float complex z);

Description
These functions compute the argument (also called phase angle) of z, with a branch cut along the negative real axis.

`cargf` is identical to `carg`, except that it performs its calculations on `floats complex`.

Returns
The carg functions return the value of the argument in the interval [-pi, +pi]

Portability
`carg` and `cargf` are ISO C99